package com.alterdekim.game.controller.result.async;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonRootName;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;

@AllArgsConstructor
@JsonRootName(value = "item")
public class ConfigItem {
    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    private Integer Id;
    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    private ServerActionConfigType Parameter;
    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    private String Value;
    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    private String Type;
}
