package com.alterdekim.game.utils;

import com.alterdekim.game.component.game.BodyPartType;

public class GameUtils {
    public static int extractLocationId(String s) {
        String[] r = s.split("\\$");
        if( r.length != 3) return 0;
        return Integer.parseInt(r[2]);
    }

    public static int getLayerIdByBodyPartType(BodyPartType type) {
        return switch (type) {
            case Body -> 20;
            case Legs -> 10;
            case Ears -> 50;
            case Eyes -> 30;
            case Nose -> 40;
            case Mouth -> 26;
            case Beak -> 41;
            case Horn -> 55;
            default -> 0;
        };
    }
}
